GNU bug report logs - #40492
[PATCH] gnu: Add meshlab

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Ekaitz Zarraga <ekaitz@HIDDEN>; Keywords: patch; dated Tue, 7 Apr 2020 17:09:19 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 40492 <at> debbugs.gnu.org:


Received: (at 40492) by debbugs.gnu.org; 14 May 2020 08:17:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 14 04:17:26 2020
Received: from localhost ([127.0.0.1]:60139 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZ93W-0003xG-36
	for submit <at> debbugs.gnu.org; Thu, 14 May 2020 04:17:26 -0400
Received: from mail-40134.protonmail.ch ([185.70.40.134]:11437)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ekaitz@HIDDEN>) id 1jZ93T-0003wx-RO
 for 40492 <at> debbugs.gnu.org; Thu, 14 May 2020 04:17:24 -0400
Date: Thu, 14 May 2020 08:17:16 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=elenq.tech;
 s=protonmail; t=1589444237;
 bh=Hb6ftx1SqalNt4mTtXj3tGpit+1URkrqmDNt615gm8g=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=lHZ6eGUDkhw6A7edCH4I8JlEsYrU0Ye3LIpGnZvBZIxOn1Lsc7qGNOipH83Y12RKu
 9mxmsWX8l+fvjaI47tItbiKyvNRHV/PDbBVqKXny4Yc+NCZ1ivZLxBgXN0KToInBQt
 lCGTbVMPTirn25VVSt5GcyIIOPnpcjcnk9uI/+3k=
To: =?UTF-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
From: Ekaitz Zarraga <ekaitz@HIDDEN>
Subject: Re: [bug#40492] [PATCH] gnu: Add meshlab
Message-ID: <jtizEq58wAeTGNvQXulHbeNrisOh65pGT12Id0SfzYe_5oYPG7aiuAITMlfqdCDW-Hq7Dzhd7Dy69WMrwrJJoU1nSi9mY3V5DOcPUuyM3oQ=@elenq.tech>
In-Reply-To: <87blmrvt3c.fsf@HIDDEN>
References: <_UXapokzwPRYl41j0bjkPGSDUNXahWNWsEn72py7ch7Rd6DBsxW9B8rw8wTbmzj1O2HfWXz7XLbEdWCYQsFCa5DgMlGn0CKVPr779J2PFuo=@elenq.tech>
 <YdoNZvfmmw6JlomYc7wYN4yeGV0RViJHsG0Bgzg60yF5ghS0cItwPNuE8-_YoJroxVl6Rpw93EnHLXc3dsel1AxzMFbBfhLV2M2Z4IQrLMk=@elenq.tech>
 <87h7wqcxdv.fsf@HIDDEN>
 <v-XKa6UjWGoRVnQcUI1iQIoa2Sm0rG8x6Vq-lMKKZy9veBMKa0FvYxbO-SH43iEezQRtZR3Cjp5wPhbA5RIwxPJhuFnSjGcrV6Boz8s1E50=@elenq.tech>
 <5Xe04GEft3Gf5wO_7lIfdvvkO2Vt2ow9ykrLBPWOxgnkYRCbbLl1fdhPmdc2iO6JL8ZMyQA6zRGlz_7I1Hi-4DrrdnR9HySNCVrxj3ZI3R0=@elenq.tech>
 <87a72eiqu9.fsf@HIDDEN>
 <Bo3u1lRCje7tHGzqmpRZYQMT8tCow8k4GO7fQzotBC8sneLBTDRe3b3YsaYJqzTU_feR4T9Kc91b5DHBpoxWu9o567uok0W8U1Bg_2TO750=@elenq.tech>
 <IiFHIISWdR1nkVRqbN_dVB6xJ99FtcrkPjlCzXbQT8vMsXOfmt4zE1XugZG8NrI44BWmAfNuiImpaJ1EESfDoATKHI3cHOaMgWsjtfCp99E=@elenq.tech>
 <87blmrvt3c.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=7.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on mail.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40492
Cc: "40492\\@debbugs.gnu.org" <40492 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Ekaitz Zarraga <ekaitz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

On Thursday, May 14, 2020 10:06 AM, Ludovic Court=C3=A8s <ludo@HIDDEN> wro=
te:

> Of these I think we should at least package openkinect, lib3ds, and
> openctm, which appear to be rather widespread pieces of software. I
> haven=E2=80=99t checked the others.
>
> Would you like to give it a try? We can come back to Meshlab
> afterwards.
>
> Thank you,
> Ludo=E2=80=99.

Sure.

I'll work on those during these days.




Information forwarded to guix-patches@HIDDEN:
bug#40492; Package guix-patches. Full text available.

Message received at 40492 <at> debbugs.gnu.org:


Received: (at 40492) by debbugs.gnu.org; 14 May 2020 08:06:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 14 04:06:24 2020
Received: from localhost ([127.0.0.1]:60126 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZ8sq-0003aw-Gg
	for submit <at> debbugs.gnu.org; Thu, 14 May 2020 04:06:24 -0400
Received: from eggs.gnu.org ([209.51.188.92]:46982)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1jZ8sp-0003aj-6W
 for 40492 <at> debbugs.gnu.org; Thu, 14 May 2020 04:06:24 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55990)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1jZ8sj-0004XA-Lb; Thu, 14 May 2020 04:06:17 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=46932 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1jZ8sj-0007Di-8m; Thu, 14 May 2020 04:06:17 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Ekaitz Zarraga <ekaitz@HIDDEN>
Subject: Re: [bug#40492] [PATCH] gnu: Add meshlab
References: <_UXapokzwPRYl41j0bjkPGSDUNXahWNWsEn72py7ch7Rd6DBsxW9B8rw8wTbmzj1O2HfWXz7XLbEdWCYQsFCa5DgMlGn0CKVPr779J2PFuo=@elenq.tech>
 <87wo67ti07.fsf@HIDDEN>
 <qfq8UVmfNtFdXiGZfR8P0LMcbE1nU--Qmyi8V20fK1-BD-7D64nFJEJejMDgOF1HqSdBjbkKLzsrwh0Pfo0bVc27vtYP2e3t2eWEFK1xanI=@elenq.tech>
 <87blneynu0.fsf@HIDDEN>
 <YdoNZvfmmw6JlomYc7wYN4yeGV0RViJHsG0Bgzg60yF5ghS0cItwPNuE8-_YoJroxVl6Rpw93EnHLXc3dsel1AxzMFbBfhLV2M2Z4IQrLMk=@elenq.tech>
 <87h7wqcxdv.fsf@HIDDEN>
 <v-XKa6UjWGoRVnQcUI1iQIoa2Sm0rG8x6Vq-lMKKZy9veBMKa0FvYxbO-SH43iEezQRtZR3Cjp5wPhbA5RIwxPJhuFnSjGcrV6Boz8s1E50=@elenq.tech>
 <5Xe04GEft3Gf5wO_7lIfdvvkO2Vt2ow9ykrLBPWOxgnkYRCbbLl1fdhPmdc2iO6JL8ZMyQA6zRGlz_7I1Hi-4DrrdnR9HySNCVrxj3ZI3R0=@elenq.tech>
 <87a72eiqu9.fsf@HIDDEN>
 <Bo3u1lRCje7tHGzqmpRZYQMT8tCow8k4GO7fQzotBC8sneLBTDRe3b3YsaYJqzTU_feR4T9Kc91b5DHBpoxWu9o567uok0W8U1Bg_2TO750=@elenq.tech>
 <IiFHIISWdR1nkVRqbN_dVB6xJ99FtcrkPjlCzXbQT8vMsXOfmt4zE1XugZG8NrI44BWmAfNuiImpaJ1EESfDoATKHI3cHOaMgWsjtfCp99E=@elenq.tech>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 26 =?utf-8?Q?Flor=C3=A9al?= an 228 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 14 May 2020 10:06:15 +0200
In-Reply-To: <IiFHIISWdR1nkVRqbN_dVB6xJ99FtcrkPjlCzXbQT8vMsXOfmt4zE1XugZG8NrI44BWmAfNuiImpaJ1EESfDoATKHI3cHOaMgWsjtfCp99E=@elenq.tech>
 (Ekaitz Zarraga's message of "Mon, 11 May 2020 14:11:41 +0000")
Message-ID: <87blmrvt3c.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 40492
Cc: "40492 <at> debbugs.gnu.org" <40492 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Ekaitz Zarraga <ekaitz@HIDDEN> skribis:

> From d462d7446e4ecbc4244e429538b926aae43004b8 Mon Sep 17 00:00:00 2001
> From: Ekaitz Zarraga <ekaitz@HIDDEN>
> Date: Tue, 7 Apr 2020 18:56:06 +0200
> Subject: [PATCH] gnu: Add meshlab.
>
>     * gnu/packages/engineering.scm (meshlab): New variable.

[...]

> +          ;Not packaged in Guix
> +          ;structuresynth-1.5
> +          ;openkinect
> +          ;newoua
> +          ;lib3ds 1.3.0
> +          ;levmar  2.3
> +          ;jhead 3.04
> +          ;openctm 1.3.0

Of these I think we should at least package openkinect, lib3ds, and
openctm, which appear to be rather widespread pieces of software.  I
haven=E2=80=99t checked the others.

Would you like to give it a try?  We can come back to Meshlab
afterwards.

Thank you,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#40492; Package guix-patches. Full text available.

Message received at 40492 <at> debbugs.gnu.org:


Received: (at 40492) by debbugs.gnu.org; 11 May 2020 14:11:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 11 10:11:51 2020
Received: from localhost ([127.0.0.1]:52899 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jY99q-0004Fy-Qg
	for submit <at> debbugs.gnu.org; Mon, 11 May 2020 10:11:51 -0400
Received: from mail-40131.protonmail.ch ([185.70.40.131]:25068)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ekaitz@HIDDEN>) id 1jY99o-0004FT-LO
 for 40492 <at> debbugs.gnu.org; Mon, 11 May 2020 10:11:49 -0400
Date: Mon, 11 May 2020 14:11:41 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=elenq.tech;
 s=protonmail; t=1589206302;
 bh=Tn21HnZ2m8ysJJBQrsg/m3Zvrh2woPi6GvtKBpb5QpU=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=PBCL38Gz9vHF7I+DaYUaAmmAT9ab5bZuroCl93NehJCcCPuzwr8XPfR/CvLFAvDr6
 dY22MvnQVMcRnunVmDtsyEt6bsrneRSdYyCVwaM9cfAeeNw1fxgnw2fiUc1RwOs+cB
 hzwecWz7tegLGytooKjV9RIT4sFNuJmvmn5FLpyo=
To: =?UTF-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
From: Ekaitz Zarraga <ekaitz@HIDDEN>
Subject: Re: [bug#40492] [PATCH] gnu: Add meshlab
Message-ID: <IiFHIISWdR1nkVRqbN_dVB6xJ99FtcrkPjlCzXbQT8vMsXOfmt4zE1XugZG8NrI44BWmAfNuiImpaJ1EESfDoATKHI3cHOaMgWsjtfCp99E=@elenq.tech>
In-Reply-To: <Bo3u1lRCje7tHGzqmpRZYQMT8tCow8k4GO7fQzotBC8sneLBTDRe3b3YsaYJqzTU_feR4T9Kc91b5DHBpoxWu9o567uok0W8U1Bg_2TO750=@elenq.tech>
References: <_UXapokzwPRYl41j0bjkPGSDUNXahWNWsEn72py7ch7Rd6DBsxW9B8rw8wTbmzj1O2HfWXz7XLbEdWCYQsFCa5DgMlGn0CKVPr779J2PFuo=@elenq.tech>
 <87wo67ti07.fsf@HIDDEN>
 <qfq8UVmfNtFdXiGZfR8P0LMcbE1nU--Qmyi8V20fK1-BD-7D64nFJEJejMDgOF1HqSdBjbkKLzsrwh0Pfo0bVc27vtYP2e3t2eWEFK1xanI=@elenq.tech>
 <87blneynu0.fsf@HIDDEN>
 <YdoNZvfmmw6JlomYc7wYN4yeGV0RViJHsG0Bgzg60yF5ghS0cItwPNuE8-_YoJroxVl6Rpw93EnHLXc3dsel1AxzMFbBfhLV2M2Z4IQrLMk=@elenq.tech>
 <87h7wqcxdv.fsf@HIDDEN>
 <v-XKa6UjWGoRVnQcUI1iQIoa2Sm0rG8x6Vq-lMKKZy9veBMKa0FvYxbO-SH43iEezQRtZR3Cjp5wPhbA5RIwxPJhuFnSjGcrV6Boz8s1E50=@elenq.tech>
 <5Xe04GEft3Gf5wO_7lIfdvvkO2Vt2ow9ykrLBPWOxgnkYRCbbLl1fdhPmdc2iO6JL8ZMyQA6zRGlz_7I1Hi-4DrrdnR9HySNCVrxj3ZI3R0=@elenq.tech>
 <87a72eiqu9.fsf@HIDDEN>
 <Bo3u1lRCje7tHGzqmpRZYQMT8tCow8k4GO7fQzotBC8sneLBTDRe3b3YsaYJqzTU_feR4T9Kc91b5DHBpoxWu9o567uok0W8U1Bg_2TO750=@elenq.tech>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="b1_890bd8d58cbbfd8d2b4ee4e70156ac37"
X-Spam-Status: No, score=-1.2 required=7.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on mail.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40492
Cc: "40492\\@debbugs.gnu.org" <40492 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Ekaitz Zarraga <ekaitz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is a multi-part message in MIME format.

--b1_890bd8d58cbbfd8d2b4ee4e70156ac37
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable


> I attach what I currently have.

I didn't...

--b1_890bd8d58cbbfd8d2b4ee4e70156ac37
Content-Type: text/x-patch; name="0001-gnu-Add-meshlab.patch"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0001-gnu-Add-meshlab.patch
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--b1_890bd8d58cbbfd8d2b4ee4e70156ac37--





Information forwarded to guix-patches@HIDDEN:
bug#40492; Package guix-patches. Full text available.

Message received at 40492 <at> debbugs.gnu.org:


Received: (at 40492) by debbugs.gnu.org; 11 May 2020 14:10:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 11 10:10:57 2020
Received: from localhost ([127.0.0.1]:52895 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jY98z-0004DS-Gd
	for submit <at> debbugs.gnu.org; Mon, 11 May 2020 10:10:57 -0400
Received: from mail1.protonmail.ch ([185.70.40.18]:26699)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ekaitz@HIDDEN>) id 1jY98x-0004DB-LG
 for 40492 <at> debbugs.gnu.org; Mon, 11 May 2020 10:10:56 -0400
Date: Mon, 11 May 2020 14:10:42 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=elenq.tech;
 s=protonmail; t=1589206249;
 bh=u1LwGvdQX66omQxJzrFS1+KcPmlwejxU1PoethXSXcc=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=Gi68k5ugxjld7JmjYWOeC7aiImIxR06YiqOlVqAA9R4j/aXJL9/N9PZoycbHO4+iP
 c5XuDYTyMTy/rQJINOic1ri/SXeAEdM7tBo0W5phhtqzOpyzT1a+YDsCfWAhq3k9fe
 49AhP7fQdUXRJbdzPXsy7gv94k6g1KW1qmCODuAY=
To: =?UTF-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
From: Ekaitz Zarraga <ekaitz@HIDDEN>
Subject: Re: [bug#40492] [PATCH] gnu: Add meshlab
Message-ID: <Bo3u1lRCje7tHGzqmpRZYQMT8tCow8k4GO7fQzotBC8sneLBTDRe3b3YsaYJqzTU_feR4T9Kc91b5DHBpoxWu9o567uok0W8U1Bg_2TO750=@elenq.tech>
In-Reply-To: <87a72eiqu9.fsf@HIDDEN>
References: <_UXapokzwPRYl41j0bjkPGSDUNXahWNWsEn72py7ch7Rd6DBsxW9B8rw8wTbmzj1O2HfWXz7XLbEdWCYQsFCa5DgMlGn0CKVPr779J2PFuo=@elenq.tech>
 <87wo67ti07.fsf@HIDDEN>
 <qfq8UVmfNtFdXiGZfR8P0LMcbE1nU--Qmyi8V20fK1-BD-7D64nFJEJejMDgOF1HqSdBjbkKLzsrwh0Pfo0bVc27vtYP2e3t2eWEFK1xanI=@elenq.tech>
 <87blneynu0.fsf@HIDDEN>
 <YdoNZvfmmw6JlomYc7wYN4yeGV0RViJHsG0Bgzg60yF5ghS0cItwPNuE8-_YoJroxVl6Rpw93EnHLXc3dsel1AxzMFbBfhLV2M2Z4IQrLMk=@elenq.tech>
 <87h7wqcxdv.fsf@HIDDEN>
 <v-XKa6UjWGoRVnQcUI1iQIoa2Sm0rG8x6Vq-lMKKZy9veBMKa0FvYxbO-SH43iEezQRtZR3Cjp5wPhbA5RIwxPJhuFnSjGcrV6Boz8s1E50=@elenq.tech>
 <5Xe04GEft3Gf5wO_7lIfdvvkO2Vt2ow9ykrLBPWOxgnkYRCbbLl1fdhPmdc2iO6JL8ZMyQA6zRGlz_7I1Hi-4DrrdnR9HySNCVrxj3ZI3R0=@elenq.tech>
 <87a72eiqu9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=7.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on mail.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40492
Cc: "40492\\@debbugs.gnu.org" <40492 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Ekaitz Zarraga <ekaitz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Kaixo,


On Monday, May 11, 2020 2:44 PM, Ludovic Court=C3=A8s <ludo@HIDDEN> wrote:

> Egun on!
>
> > Second step will be to fix the issue.
> > Next I need to figure out what to do with the rest of the libraries. Sh=
ould we package all of them? Some of them don't look interesting by themsel=
ves, maybe it's better to keep them bundled.
>
> Ideally, yes. Now, if some of these libraries have no other users, we
> can make an exception.

Understood.
Weird stuff like openkinect is not going to be used anywhere else, right? :=
D

> > I also have a question:
> > Most of the libraries that are bundled in meshlab have very old version=
s (qhull's version is from 2003). How does Guix handle breaking changes in =
libraries?
> > If meshlab doesn't support newer libraries, what do we need to do?
>
> We could still unbundle for example qhull and, if needed, package that
> older version that Meshlab need. In parallel, we can report the issue
> to the Meshlab developers so that future versions can use the current
> qhull.

Ok!

> I realize this is quite some work, so you=E2=80=99re welcome to improve t=
hings
> incrementally. If you don=E2=80=99t manage to deal with all the bundled
> libraries, then you can still send an updated patch and we=E2=80=99ll see=
 where
> we are and perhaps push the version you arrived at.

I attach what I currently have. It's a working package with most recent ver=
sion of Meshlab (overwrites older patch) with some of the libraries unbundl=
ed. It has some extra comments about bundled libs that may be better to rem=
ove if it's released, but I'll leave that to your opinion.

I'll keep doing this because it's important for me. Meshlab is a very power=
ful tool and we almost have it!

ty,

Ekaitz




Information forwarded to guix-patches@HIDDEN:
bug#40492; Package guix-patches. Full text available.

Message received at 40492 <at> debbugs.gnu.org:


Received: (at 40492) by debbugs.gnu.org; 11 May 2020 12:44:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 11 08:44:23 2020
Received: from localhost ([127.0.0.1]:51521 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jY7nD-0000zY-Du
	for submit <at> debbugs.gnu.org; Mon, 11 May 2020 08:44:23 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36782)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1jY7nB-0000zN-VP
 for 40492 <at> debbugs.gnu.org; Mon, 11 May 2020 08:44:22 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34559)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1jY7n6-0000wA-8p; Mon, 11 May 2020 08:44:16 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=37718 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1jY7n5-0005eF-NO; Mon, 11 May 2020 08:44:16 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Ekaitz Zarraga <ekaitz@HIDDEN>
Subject: Re: [bug#40492] [PATCH] gnu: Add meshlab
References: <_UXapokzwPRYl41j0bjkPGSDUNXahWNWsEn72py7ch7Rd6DBsxW9B8rw8wTbmzj1O2HfWXz7XLbEdWCYQsFCa5DgMlGn0CKVPr779J2PFuo=@elenq.tech>
 <87a733v3hh.fsf@HIDDEN>
 <kWjRCanSLpg5f0wAl_GZac1iZJSZi5ST69nKRQ3ZpGWeP58f5Wun985oaCV9kch6XbbjBm6atQCjGJm3m_eAndPBmDKsbaLHLgwCojpnndw=@elenq.tech>
 <87wo67ti07.fsf@HIDDEN>
 <qfq8UVmfNtFdXiGZfR8P0LMcbE1nU--Qmyi8V20fK1-BD-7D64nFJEJejMDgOF1HqSdBjbkKLzsrwh0Pfo0bVc27vtYP2e3t2eWEFK1xanI=@elenq.tech>
 <87blneynu0.fsf@HIDDEN>
 <YdoNZvfmmw6JlomYc7wYN4yeGV0RViJHsG0Bgzg60yF5ghS0cItwPNuE8-_YoJroxVl6Rpw93EnHLXc3dsel1AxzMFbBfhLV2M2Z4IQrLMk=@elenq.tech>
 <87h7wqcxdv.fsf@HIDDEN>
 <v-XKa6UjWGoRVnQcUI1iQIoa2Sm0rG8x6Vq-lMKKZy9veBMKa0FvYxbO-SH43iEezQRtZR3Cjp5wPhbA5RIwxPJhuFnSjGcrV6Boz8s1E50=@elenq.tech>
 <5Xe04GEft3Gf5wO_7lIfdvvkO2Vt2ow9ykrLBPWOxgnkYRCbbLl1fdhPmdc2iO6JL8ZMyQA6zRGlz_7I1Hi-4DrrdnR9HySNCVrxj3ZI3R0=@elenq.tech>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 23 =?utf-8?Q?Flor=C3=A9al?= an 228 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Mon, 11 May 2020 14:44:14 +0200
In-Reply-To: <5Xe04GEft3Gf5wO_7lIfdvvkO2Vt2ow9ykrLBPWOxgnkYRCbbLl1fdhPmdc2iO6JL8ZMyQA6zRGlz_7I1Hi-4DrrdnR9HySNCVrxj3ZI3R0=@elenq.tech>
 (Ekaitz Zarraga's message of "Sun, 10 May 2020 21:29:35 +0000")
Message-ID: <87a72eiqu9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 40492
Cc: "40492 <at> debbugs.gnu.org" <40492 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Egun on!

Ekaitz Zarraga <ekaitz@HIDDEN> skribis:

> I'm working on it. I managed to add some system provided libraries but I'=
m having issues with qhull and I'm trying to fix them upstream.
>
> First step, I filed an issue in meshlab: https://github.com/cnr-isti-vcla=
b/meshlab/issues/678

Great!

> Second step will be to fix the issue.
>
> Next I need to figure out what to do with the rest of the libraries. Shou=
ld we package all of them? Some of them don't look interesting by themselve=
s, maybe it's better to keep them bundled.

Ideally, yes.  Now, if some of these libraries have no other users, we
can make an exception.

> I also have a question:
> Most of the libraries that are bundled in meshlab have very old versions =
(qhull's version is from 2003). How does Guix handle breaking changes in li=
braries?
> If meshlab doesn't support newer libraries, what do we need to do?

We could still unbundle for example qhull and, if needed, package that
older version that Meshlab need.  In parallel, we can report the issue
to the Meshlab developers so that future versions can use the current
qhull.

I realize this is quite some work, so you=E2=80=99re welcome to improve thi=
ngs
incrementally.  If you don=E2=80=99t manage to deal with all the bundled
libraries, then you can still send an updated patch and we=E2=80=99ll see w=
here
we are and perhaps push the version you arrived at.

Thank you!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#40492; Package guix-patches. Full text available.

Message received at 40492 <at> debbugs.gnu.org:


Received: (at 40492) by debbugs.gnu.org; 10 May 2020 21:29:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 10 17:29:51 2020
Received: from localhost ([127.0.0.1]:50631 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jXtW7-0001jr-M0
	for submit <at> debbugs.gnu.org; Sun, 10 May 2020 17:29:51 -0400
Received: from mail2.protonmail.ch ([185.70.40.22]:64358)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ekaitz@HIDDEN>) id 1jXtW6-0001jZ-6G
 for 40492 <at> debbugs.gnu.org; Sun, 10 May 2020 17:29:46 -0400
Date: Sun, 10 May 2020 21:29:35 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=elenq.tech;
 s=protonmail; t=1589146179;
 bh=FVfu32gtR8c56c6bFrKocj8t4MRyaO3SHh/8syi/Tng=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=iaAktv44DMDfm5JQ9F8+2E1GbV5j5cAR+y2CCheqFYFq7u+zcdXhocFTmEallZ+lu
 z9C+xP7kY9Vn33AQBo4zcSXCjzfgNlgAiprKjDR0q/lP9vBFtvL//Ru2mnqnNZTw/1
 AstKrAtmd2ZDghIVp39sbdX0Q38zfjdBnOnhqDZU=
To: =?UTF-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
From: Ekaitz Zarraga <ekaitz@HIDDEN>
Subject: Re: [bug#40492] [PATCH] gnu: Add meshlab
Message-ID: <5Xe04GEft3Gf5wO_7lIfdvvkO2Vt2ow9ykrLBPWOxgnkYRCbbLl1fdhPmdc2iO6JL8ZMyQA6zRGlz_7I1Hi-4DrrdnR9HySNCVrxj3ZI3R0=@elenq.tech>
In-Reply-To: <v-XKa6UjWGoRVnQcUI1iQIoa2Sm0rG8x6Vq-lMKKZy9veBMKa0FvYxbO-SH43iEezQRtZR3Cjp5wPhbA5RIwxPJhuFnSjGcrV6Boz8s1E50=@elenq.tech>
References: <_UXapokzwPRYl41j0bjkPGSDUNXahWNWsEn72py7ch7Rd6DBsxW9B8rw8wTbmzj1O2HfWXz7XLbEdWCYQsFCa5DgMlGn0CKVPr779J2PFuo=@elenq.tech>
 <87a733v3hh.fsf@HIDDEN>
 <kWjRCanSLpg5f0wAl_GZac1iZJSZi5ST69nKRQ3ZpGWeP58f5Wun985oaCV9kch6XbbjBm6atQCjGJm3m_eAndPBmDKsbaLHLgwCojpnndw=@elenq.tech>
 <87wo67ti07.fsf@HIDDEN>
 <qfq8UVmfNtFdXiGZfR8P0LMcbE1nU--Qmyi8V20fK1-BD-7D64nFJEJejMDgOF1HqSdBjbkKLzsrwh0Pfo0bVc27vtYP2e3t2eWEFK1xanI=@elenq.tech>
 <87blneynu0.fsf@HIDDEN>
 <YdoNZvfmmw6JlomYc7wYN4yeGV0RViJHsG0Bgzg60yF5ghS0cItwPNuE8-_YoJroxVl6Rpw93EnHLXc3dsel1AxzMFbBfhLV2M2Z4IQrLMk=@elenq.tech>
 <87h7wqcxdv.fsf@HIDDEN>
 <v-XKa6UjWGoRVnQcUI1iQIoa2Sm0rG8x6Vq-lMKKZy9veBMKa0FvYxbO-SH43iEezQRtZR3Cjp5wPhbA5RIwxPJhuFnSjGcrV6Boz8s1E50=@elenq.tech>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=7.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on mail.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40492
Cc: "40492\\@debbugs.gnu.org" <40492 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Ekaitz Zarraga <ekaitz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

> Not yet :(
>
> I'll try to get some free time these days but I've been busy.
> Is it possible to add it like it is with embedded libraries temporarily u=
ntil we separate all of them?


I'm working on it. I managed to add some system provided libraries but I'm =
having issues with qhull and I'm trying to fix them upstream.

First step, I filed an issue in meshlab: https://github.com/cnr-isti-vclab/=
meshlab/issues/678

Second step will be to fix the issue.

Next I need to figure out what to do with the rest of the libraries. Should=
 we package all of them? Some of them don't look interesting by themselves,=
 maybe it's better to keep them bundled.

I also have a question:
Most of the libraries that are bundled in meshlab have very old versions (q=
hull's version is from 2003). How does Guix handle breaking changes in libr=
aries?
If meshlab doesn't support newer libraries, what do we need to do?

I'll manage to correct qhull's issue and submit a new patch.

Thanks!




Information forwarded to guix-patches@HIDDEN:
bug#40492; Package guix-patches. Full text available.

Message received at 40492 <at> debbugs.gnu.org:


Received: (at 40492) by debbugs.gnu.org; 8 May 2020 14:48:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 08 10:48:08 2020
Received: from localhost ([127.0.0.1]:46058 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jX4IK-0003gc-0X
	for submit <at> debbugs.gnu.org; Fri, 08 May 2020 10:48:08 -0400
Received: from mail-40131.protonmail.ch ([185.70.40.131]:13869)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ekaitz@HIDDEN>) id 1jX4II-0003g1-AQ
 for 40492 <at> debbugs.gnu.org; Fri, 08 May 2020 10:48:06 -0400
Date: Fri, 08 May 2020 14:47:49 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=elenq.tech;
 s=protonmail; t=1588949280;
 bh=B9jpFZJH3BewbrQWTq36FhjXRHnYVNbXnEXtVUUhPsw=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=gogUCls4DZyVQXJuRnDTR1c4DlrSn+nYAzgaI3oVQONp5CwWDXD/jtfQ+X6Tg9mVG
 aQIU4DBe7szM7axRDkXiBONGaaNNDK/vqsG5J07niIdpXUYvvbYEbKZCTjY6umqrYj
 fEkNCtYap88H1PgIknnKU9dTm0X51sgjQg72+Vto=
To: =?UTF-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
From: Ekaitz Zarraga <ekaitz@HIDDEN>
Subject: Re: [bug#40492] [PATCH] gnu: Add meshlab
Message-ID: <v-XKa6UjWGoRVnQcUI1iQIoa2Sm0rG8x6Vq-lMKKZy9veBMKa0FvYxbO-SH43iEezQRtZR3Cjp5wPhbA5RIwxPJhuFnSjGcrV6Boz8s1E50=@elenq.tech>
In-Reply-To: <87h7wqcxdv.fsf@HIDDEN>
References: <_UXapokzwPRYl41j0bjkPGSDUNXahWNWsEn72py7ch7Rd6DBsxW9B8rw8wTbmzj1O2HfWXz7XLbEdWCYQsFCa5DgMlGn0CKVPr779J2PFuo=@elenq.tech>
 <87a733v3hh.fsf@HIDDEN>
 <kWjRCanSLpg5f0wAl_GZac1iZJSZi5ST69nKRQ3ZpGWeP58f5Wun985oaCV9kch6XbbjBm6atQCjGJm3m_eAndPBmDKsbaLHLgwCojpnndw=@elenq.tech>
 <87wo67ti07.fsf@HIDDEN>
 <qfq8UVmfNtFdXiGZfR8P0LMcbE1nU--Qmyi8V20fK1-BD-7D64nFJEJejMDgOF1HqSdBjbkKLzsrwh0Pfo0bVc27vtYP2e3t2eWEFK1xanI=@elenq.tech>
 <87blneynu0.fsf@HIDDEN>
 <YdoNZvfmmw6JlomYc7wYN4yeGV0RViJHsG0Bgzg60yF5ghS0cItwPNuE8-_YoJroxVl6Rpw93EnHLXc3dsel1AxzMFbBfhLV2M2Z4IQrLMk=@elenq.tech>
 <87h7wqcxdv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=7.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on mail.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40492
Cc: "40492\\@debbugs.gnu.org" <40492 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Ekaitz Zarraga <ekaitz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90 Original Me=
ssage =E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90
On Friday, May 8, 2020 4:30 PM, Ludovic Court=C3=A8s <ludo@HIDDEN> wrote:

> Saluton,
>
> Did you have a change to look into this?
>
> Thanks,
> Ludo'.
>

Not yet :(

I'll try to get some free time these days but I've been busy.
Is it possible to add it like it is with embedded libraries temporarily unt=
il we separate all of them?




Information forwarded to guix-patches@HIDDEN:
bug#40492; Package guix-patches. Full text available.

Message received at 40492 <at> debbugs.gnu.org:


Received: (at 40492) by debbugs.gnu.org; 8 May 2020 14:30:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 08 10:30:41 2020
Received: from localhost ([127.0.0.1]:46028 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jX41R-0003F1-5u
	for submit <at> debbugs.gnu.org; Fri, 08 May 2020 10:30:41 -0400
Received: from eggs.gnu.org ([209.51.188.92]:46152)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1jX41G-0003Eb-II
 for 40492 <at> debbugs.gnu.org; Fri, 08 May 2020 10:30:30 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58513)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1jX41B-0003si-1o; Fri, 08 May 2020 10:30:25 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=38628 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1jX417-0007dB-Pf; Fri, 08 May 2020 10:30:22 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Ekaitz Zarraga <ekaitz@HIDDEN>
Subject: Re: [bug#40492] [PATCH] gnu: Add meshlab
In-Reply-To: <YdoNZvfmmw6JlomYc7wYN4yeGV0RViJHsG0Bgzg60yF5ghS0cItwPNuE8-_YoJroxVl6Rpw93EnHLXc3dsel1AxzMFbBfhLV2M2Z4IQrLMk=@elenq.tech>
 (Ekaitz Zarraga's message of "Sun, 26 Apr 2020 21:00:09 +0000")
References: <_UXapokzwPRYl41j0bjkPGSDUNXahWNWsEn72py7ch7Rd6DBsxW9B8rw8wTbmzj1O2HfWXz7XLbEdWCYQsFCa5DgMlGn0CKVPr779J2PFuo=@elenq.tech>
 <87a733v3hh.fsf@HIDDEN>
 <kWjRCanSLpg5f0wAl_GZac1iZJSZi5ST69nKRQ3ZpGWeP58f5Wun985oaCV9kch6XbbjBm6atQCjGJm3m_eAndPBmDKsbaLHLgwCojpnndw=@elenq.tech>
 <87wo67ti07.fsf@HIDDEN>
 <qfq8UVmfNtFdXiGZfR8P0LMcbE1nU--Qmyi8V20fK1-BD-7D64nFJEJejMDgOF1HqSdBjbkKLzsrwh0Pfo0bVc27vtYP2e3t2eWEFK1xanI=@elenq.tech>
 <87blneynu0.fsf@HIDDEN>
 <YdoNZvfmmw6JlomYc7wYN4yeGV0RViJHsG0Bgzg60yF5ghS0cItwPNuE8-_YoJroxVl6Rpw93EnHLXc3dsel1AxzMFbBfhLV2M2Z4IQrLMk=@elenq.tech>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
Date: Fri, 08 May 2020 16:30:20 +0200
Message-ID: <87h7wqcxdv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 40492
Cc: "40492 <at> debbugs.gnu.org" <40492 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Saluton,

Did you have a change to look into this?

Thanks,
Ludo'.

Ekaitz Zarraga <ekaitz@HIDDEN> skribis:

> On Sunday, April 26, 2020 10:49 PM, Ludovic Court=C3=A8s <ludo@HIDDEN> w=
rote:
>
>> Saluton!
>>
>> Ekaitz Zarraga ekaitz@HIDDEN skribis:
>>
>> > From 814e44cb90b1427a9af5d6a66392c5a39910e8fd Mon Sep 17 00:00:00 2001
>> > From: Ekaitz Zarraga ekaitz@HIDDEN
>> > Date: Tue, 7 Apr 2020 18:56:06 +0200
>> > Subject: [PATCH] gnu: Add meshlab.
>> >
>> >     * gnu/packages/engineering.scm (meshlab): New variable.
>> >
>>
>> Great! I added a copyright line for you, fixed up indentation (see the
>> bit in the manual for how to do that automatically), and added a
>> comment=E2=80=94patch attached.
>>
>> It built for me, but then I realized I had missed something: the
>> external/ sub-directory contains lots of bundled copies of external
>> tools, and indeed, the =E2=80=98configure=E2=80=99 phase shows:
>>
>> --8<---------------cut here---------------start------------->8---
>> -- Could NOT find Lib3ds (missing: LIB3DS_INCLUDE_DIR LIB3DS_LIBRARY)
>> -- Could NOT find GMP (missing: GMP_INCLUDE_DIR GMP_LIBRARY)
>> -- Could NOT find muparser (missing: MUPARSER_INCLUDE_DIR MUPARSER_LIBRA=
RY)
>> -- Could NOT find OpenCTM (missing: OPENCTM_INCLUDE_DIR OPENCTM_LIBRARY)
>> -- Could NOT find Qhull (missing: QHULL_qhull_LIBRARY QHULL_qhull_INCLUD=
E_DIR qhull)
>> -- Found OpenMP_C: -fopenmp (found version "4.5")
>> -- Found OpenMP_CXX: -fopenmp (found version "4.5")
>> -- Found OpenMP: TRUE (found version "4.5")
>> -- - jhead - using bundled source
>> -- - glew - using bundled source
>> -- - Eigen - using bundled source
>> -- - newuoa - using bundled source
>> -- - levmar - using bundled source
>> -- - lib3ds - using bundled source
>> -- - muparser - using bundled source
>> -- - OpenCTM - using bundled source
>> -- - structure-synth - using bundled source
>> -- - qhull - using bundled source
>> --8<---------------cut here---------------end--------------->8---
>>
>> Some of these are already packaged, so it should be a matter of adding
>> them to =E2=80=98inputs=E2=80=99. For the remaining ones, it would be ex=
tra packaging
>> work to do.
>>
>> The goal is to address all of these, but if we can address the majority
>> of these, perhaps we can commit a first version of the package with a
>> FIXME stating what remains to be done, if you prefer.
>>
>> Thanks, and apologies for overlooking it before!
>>
>> Ludo=E2=80=99.
>
> Hi,
>
> No worries, I'll try to take a look to those.
>
> We can push it with the Fixme and I'll go adding those during these days =
when I'm free.
>
> Thanks!
>
> PS: Should I push those to the same file under engineering? or should I c=
reate a new file for meshlab and add all its dependencies there too?




Information forwarded to guix-patches@HIDDEN:
bug#40492; Package guix-patches. Full text available.

Message received at 40492 <at> debbugs.gnu.org:


Received: (at 40492) by debbugs.gnu.org; 8 May 2020 14:30:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 08 10:30:41 2020
Received: from localhost ([127.0.0.1]:46025 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jX41C-0003Ee-5i
	for submit <at> debbugs.gnu.org; Fri, 08 May 2020 10:30:41 -0400
Received: from eggs.gnu.org ([209.51.188.92]:46096)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1jX41A-0003EP-MR
 for 40492 <at> debbugs.gnu.org; Fri, 08 May 2020 10:30:25 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58508)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1jX415-0003nb-6o; Fri, 08 May 2020 10:30:19 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=38626 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1jX413-0007ZP-Qc; Fri, 08 May 2020 10:30:18 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Ekaitz Zarraga <ekaitz@HIDDEN>
Subject: Re: [bug#40492] [PATCH] gnu: Add meshlab
References: <_UXapokzwPRYl41j0bjkPGSDUNXahWNWsEn72py7ch7Rd6DBsxW9B8rw8wTbmzj1O2HfWXz7XLbEdWCYQsFCa5DgMlGn0CKVPr779J2PFuo=@elenq.tech>
 <87a733v3hh.fsf@HIDDEN>
 <kWjRCanSLpg5f0wAl_GZac1iZJSZi5ST69nKRQ3ZpGWeP58f5Wun985oaCV9kch6XbbjBm6atQCjGJm3m_eAndPBmDKsbaLHLgwCojpnndw=@elenq.tech>
 <87wo67ti07.fsf@HIDDEN>
 <qfq8UVmfNtFdXiGZfR8P0LMcbE1nU--Qmyi8V20fK1-BD-7D64nFJEJejMDgOF1HqSdBjbkKLzsrwh0Pfo0bVc27vtYP2e3t2eWEFK1xanI=@elenq.tech>
 <87blneynu0.fsf@HIDDEN>
 <YdoNZvfmmw6JlomYc7wYN4yeGV0RViJHsG0Bgzg60yF5ghS0cItwPNuE8-_YoJroxVl6Rpw93EnHLXc3dsel1AxzMFbBfhLV2M2Z4IQrLMk=@elenq.tech>
Date: Fri, 08 May 2020 16:30:16 +0200
In-Reply-To: <YdoNZvfmmw6JlomYc7wYN4yeGV0RViJHsG0Bgzg60yF5ghS0cItwPNuE8-_YoJroxVl6Rpw93EnHLXc3dsel1AxzMFbBfhLV2M2Z4IQrLMk=@elenq.tech>
 (Ekaitz Zarraga's message of "Sun, 26 Apr 2020 21:00:09 +0000")
Message-ID: <87imh6cxdz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 40492
Cc: "40492 <at> debbugs.gnu.org" <40492 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Saluton,

Did you have a change to look into this?

Thanks,
Ludo'.

Ekaitz Zarraga <ekaitz@HIDDEN> skribis:

> On Sunday, April 26, 2020 10:49 PM, Ludovic Court=C3=A8s <ludo@HIDDEN> w=
rote:
>
>> Saluton!
>>
>> Ekaitz Zarraga ekaitz@HIDDEN skribis:
>>
>> > From 814e44cb90b1427a9af5d6a66392c5a39910e8fd Mon Sep 17 00:00:00 2001
>> > From: Ekaitz Zarraga ekaitz@HIDDEN
>> > Date: Tue, 7 Apr 2020 18:56:06 +0200
>> > Subject: [PATCH] gnu: Add meshlab.
>> >
>> >     * gnu/packages/engineering.scm (meshlab): New variable.
>> >
>>
>> Great! I added a copyright line for you, fixed up indentation (see the
>> bit in the manual for how to do that automatically), and added a
>> comment=E2=80=94patch attached.
>>
>> It built for me, but then I realized I had missed something: the
>> external/ sub-directory contains lots of bundled copies of external
>> tools, and indeed, the =E2=80=98configure=E2=80=99 phase shows:
>>
>> --8<---------------cut here---------------start------------->8---
>> -- Could NOT find Lib3ds (missing: LIB3DS_INCLUDE_DIR LIB3DS_LIBRARY)
>> -- Could NOT find GMP (missing: GMP_INCLUDE_DIR GMP_LIBRARY)
>> -- Could NOT find muparser (missing: MUPARSER_INCLUDE_DIR MUPARSER_LIBRA=
RY)
>> -- Could NOT find OpenCTM (missing: OPENCTM_INCLUDE_DIR OPENCTM_LIBRARY)
>> -- Could NOT find Qhull (missing: QHULL_qhull_LIBRARY QHULL_qhull_INCLUD=
E_DIR qhull)
>> -- Found OpenMP_C: -fopenmp (found version "4.5")
>> -- Found OpenMP_CXX: -fopenmp (found version "4.5")
>> -- Found OpenMP: TRUE (found version "4.5")
>> -- - jhead - using bundled source
>> -- - glew - using bundled source
>> -- - Eigen - using bundled source
>> -- - newuoa - using bundled source
>> -- - levmar - using bundled source
>> -- - lib3ds - using bundled source
>> -- - muparser - using bundled source
>> -- - OpenCTM - using bundled source
>> -- - structure-synth - using bundled source
>> -- - qhull - using bundled source
>> --8<---------------cut here---------------end--------------->8---
>>
>> Some of these are already packaged, so it should be a matter of adding
>> them to =E2=80=98inputs=E2=80=99. For the remaining ones, it would be ex=
tra packaging
>> work to do.
>>
>> The goal is to address all of these, but if we can address the majority
>> of these, perhaps we can commit a first version of the package with a
>> FIXME stating what remains to be done, if you prefer.
>>
>> Thanks, and apologies for overlooking it before!
>>
>> Ludo=E2=80=99.
>
> Hi,
>
> No worries, I'll try to take a look to those.
>
> We can push it with the Fixme and I'll go adding those during these days =
when I'm free.
>
> Thanks!
>
> PS: Should I push those to the same file under engineering? or should I c=
reate a new file for meshlab and add all its dependencies there too?




Information forwarded to guix-patches@HIDDEN:
bug#40492; Package guix-patches. Full text available.

Message received at 40492 <at> debbugs.gnu.org:


Received: (at 40492) by debbugs.gnu.org; 27 Apr 2020 08:03:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 27 04:03:35 2020
Received: from localhost ([127.0.0.1]:35460 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jSyjm-0007xo-1l
	for submit <at> debbugs.gnu.org; Mon, 27 Apr 2020 04:03:34 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39272)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1jSyjg-0007xZ-Ji
 for 40492 <at> debbugs.gnu.org; Mon, 27 Apr 2020 04:03:32 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57771)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1jSyjZ-0005Vh-NH; Mon, 27 Apr 2020 04:03:21 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=52344 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1jSyjZ-0005Ls-9O; Mon, 27 Apr 2020 04:03:21 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Ekaitz Zarraga <ekaitz@HIDDEN>
Subject: Re: [bug#40492] [PATCH] gnu: Add meshlab
References: <_UXapokzwPRYl41j0bjkPGSDUNXahWNWsEn72py7ch7Rd6DBsxW9B8rw8wTbmzj1O2HfWXz7XLbEdWCYQsFCa5DgMlGn0CKVPr779J2PFuo=@elenq.tech>
 <87a733v3hh.fsf@HIDDEN>
 <kWjRCanSLpg5f0wAl_GZac1iZJSZi5ST69nKRQ3ZpGWeP58f5Wun985oaCV9kch6XbbjBm6atQCjGJm3m_eAndPBmDKsbaLHLgwCojpnndw=@elenq.tech>
 <87wo67ti07.fsf@HIDDEN>
 <qfq8UVmfNtFdXiGZfR8P0LMcbE1nU--Qmyi8V20fK1-BD-7D64nFJEJejMDgOF1HqSdBjbkKLzsrwh0Pfo0bVc27vtYP2e3t2eWEFK1xanI=@elenq.tech>
 <87blneynu0.fsf@HIDDEN>
 <YdoNZvfmmw6JlomYc7wYN4yeGV0RViJHsG0Bgzg60yF5ghS0cItwPNuE8-_YoJroxVl6Rpw93EnHLXc3dsel1AxzMFbBfhLV2M2Z4IQrLMk=@elenq.tech>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 9 =?utf-8?Q?Flor=C3=A9al?= an 228 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Mon, 27 Apr 2020 10:03:19 +0200
In-Reply-To: <YdoNZvfmmw6JlomYc7wYN4yeGV0RViJHsG0Bgzg60yF5ghS0cItwPNuE8-_YoJroxVl6Rpw93EnHLXc3dsel1AxzMFbBfhLV2M2Z4IQrLMk=@elenq.tech>
 (Ekaitz Zarraga's message of "Sun, 26 Apr 2020 21:00:09 +0000")
Message-ID: <87r1w9we2g.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 40492
Cc: "40492 <at> debbugs.gnu.org" <40492 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Saluton,

Ekaitz Zarraga <ekaitz@HIDDEN> skribis:

> PS: Should I push those to the same file under engineering? or should I c=
reate a new file for meshlab and add all its dependencies there too?

You can add the new packages in the file where it makes most sense,
which may or may not be engineering.scm.

Thanks for looking into it!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#40492; Package guix-patches. Full text available.

Message received at 40492 <at> debbugs.gnu.org:


Received: (at 40492) by debbugs.gnu.org; 26 Apr 2020 21:00:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 26 17:00:27 2020
Received: from localhost ([127.0.0.1]:35091 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jSoO3-0008Qh-4d
	for submit <at> debbugs.gnu.org; Sun, 26 Apr 2020 17:00:27 -0400
Received: from mail2.protonmail.ch ([185.70.40.22]:49393)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ekaitz@HIDDEN>) id 1jSoO1-0008QV-9g
 for 40492 <at> debbugs.gnu.org; Sun, 26 Apr 2020 17:00:26 -0400
Date: Sun, 26 Apr 2020 21:00:09 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=elenq.tech;
 s=protonmail; t=1587934819;
 bh=ohs9Rqp6cqRB6jzQgTFAhf1DhY06FpfU3dE4b+pFZpU=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=JiZe6O30xcTZtohNhaxqLA/WYByC832h1wkqFy1MKpqcOKz74jGssKwXD5muLzDWT
 MSww3qxn+OFiEexcqXVbv1I/ckYwXQpUQJsRKmQlIRcS1ft2Ja7aygXJ9c2SMOf6yw
 cdLwVkMl4W6qZTDYxpvuEIl0WmFTj2T1vUhoO8Ts=
To: =?UTF-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
From: Ekaitz Zarraga <ekaitz@HIDDEN>
Subject: Re: [bug#40492] [PATCH] gnu: Add meshlab
Message-ID: <YdoNZvfmmw6JlomYc7wYN4yeGV0RViJHsG0Bgzg60yF5ghS0cItwPNuE8-_YoJroxVl6Rpw93EnHLXc3dsel1AxzMFbBfhLV2M2Z4IQrLMk=@elenq.tech>
In-Reply-To: <87blneynu0.fsf@HIDDEN>
References: <_UXapokzwPRYl41j0bjkPGSDUNXahWNWsEn72py7ch7Rd6DBsxW9B8rw8wTbmzj1O2HfWXz7XLbEdWCYQsFCa5DgMlGn0CKVPr779J2PFuo=@elenq.tech>
 <87a733v3hh.fsf@HIDDEN>
 <kWjRCanSLpg5f0wAl_GZac1iZJSZi5ST69nKRQ3ZpGWeP58f5Wun985oaCV9kch6XbbjBm6atQCjGJm3m_eAndPBmDKsbaLHLgwCojpnndw=@elenq.tech>
 <87wo67ti07.fsf@HIDDEN>
 <qfq8UVmfNtFdXiGZfR8P0LMcbE1nU--Qmyi8V20fK1-BD-7D64nFJEJejMDgOF1HqSdBjbkKLzsrwh0Pfo0bVc27vtYP2e3t2eWEFK1xanI=@elenq.tech>
 <87blneynu0.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=7.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on mail.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40492
Cc: "40492\\@debbugs.gnu.org" <40492 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Ekaitz Zarraga <ekaitz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Sunday, April 26, 2020 10:49 PM, Ludovic Court=C3=A8s <ludo@HIDDEN> wro=
te:

> Saluton!
>
> Ekaitz Zarraga ekaitz@HIDDEN skribis:
>
> > From 814e44cb90b1427a9af5d6a66392c5a39910e8fd Mon Sep 17 00:00:00 2001
> > From: Ekaitz Zarraga ekaitz@HIDDEN
> > Date: Tue, 7 Apr 2020 18:56:06 +0200
> > Subject: [PATCH] gnu: Add meshlab.
> >
> >     * gnu/packages/engineering.scm (meshlab): New variable.
> >
>
> Great! I added a copyright line for you, fixed up indentation (see the
> bit in the manual for how to do that automatically), and added a
> comment=E2=80=94patch attached.
>
> It built for me, but then I realized I had missed something: the
> external/ sub-directory contains lots of bundled copies of external
> tools, and indeed, the =E2=80=98configure=E2=80=99 phase shows:
>
> --8<---------------cut here---------------start------------->8---
> -- Could NOT find Lib3ds (missing: LIB3DS_INCLUDE_DIR LIB3DS_LIBRARY)
> -- Could NOT find GMP (missing: GMP_INCLUDE_DIR GMP_LIBRARY)
> -- Could NOT find muparser (missing: MUPARSER_INCLUDE_DIR MUPARSER_LIBRAR=
Y)
> -- Could NOT find OpenCTM (missing: OPENCTM_INCLUDE_DIR OPENCTM_LIBRARY)
> -- Could NOT find Qhull (missing: QHULL_qhull_LIBRARY QHULL_qhull_INCLUDE=
_DIR qhull)
> -- Found OpenMP_C: -fopenmp (found version "4.5")
> -- Found OpenMP_CXX: -fopenmp (found version "4.5")
> -- Found OpenMP: TRUE (found version "4.5")
> -- - jhead - using bundled source
> -- - glew - using bundled source
> -- - Eigen - using bundled source
> -- - newuoa - using bundled source
> -- - levmar - using bundled source
> -- - lib3ds - using bundled source
> -- - muparser - using bundled source
> -- - OpenCTM - using bundled source
> -- - structure-synth - using bundled source
> -- - qhull - using bundled source
> --8<---------------cut here---------------end--------------->8---
>
> Some of these are already packaged, so it should be a matter of adding
> them to =E2=80=98inputs=E2=80=99. For the remaining ones, it would be ext=
ra packaging
> work to do.
>
> The goal is to address all of these, but if we can address the majority
> of these, perhaps we can commit a first version of the package with a
> FIXME stating what remains to be done, if you prefer.
>
> Thanks, and apologies for overlooking it before!
>
> Ludo=E2=80=99.

Hi,

No worries, I'll try to take a look to those.

We can push it with the Fixme and I'll go adding those during these days wh=
en I'm free.

Thanks!

PS: Should I push those to the same file under engineering? or should I cre=
ate a new file for meshlab and add all its dependencies there too?





Information forwarded to guix-patches@HIDDEN:
bug#40492; Package guix-patches. Full text available.

Message received at 40492 <at> debbugs.gnu.org:


Received: (at 40492) by debbugs.gnu.org; 26 Apr 2020 20:49:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 26 16:49:46 2020
Received: from localhost ([127.0.0.1]:35072 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jSoDe-00088f-LC
	for submit <at> debbugs.gnu.org; Sun, 26 Apr 2020 16:49:46 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54522)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1jSoDY-00088N-Tp
 for 40492 <at> debbugs.gnu.org; Sun, 26 Apr 2020 16:49:41 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51715)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1jSoDS-0001wj-TG; Sun, 26 Apr 2020 16:49:30 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=51722 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1jSoDR-00087N-J5; Sun, 26 Apr 2020 16:49:30 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Ekaitz Zarraga <ekaitz@HIDDEN>
Subject: Re: [bug#40492] [PATCH] gnu: Add meshlab
References: <_UXapokzwPRYl41j0bjkPGSDUNXahWNWsEn72py7ch7Rd6DBsxW9B8rw8wTbmzj1O2HfWXz7XLbEdWCYQsFCa5DgMlGn0CKVPr779J2PFuo=@elenq.tech>
 <87a733v3hh.fsf@HIDDEN>
 <kWjRCanSLpg5f0wAl_GZac1iZJSZi5ST69nKRQ3ZpGWeP58f5Wun985oaCV9kch6XbbjBm6atQCjGJm3m_eAndPBmDKsbaLHLgwCojpnndw=@elenq.tech>
 <87wo67ti07.fsf@HIDDEN>
 <qfq8UVmfNtFdXiGZfR8P0LMcbE1nU--Qmyi8V20fK1-BD-7D64nFJEJejMDgOF1HqSdBjbkKLzsrwh0Pfo0bVc27vtYP2e3t2eWEFK1xanI=@elenq.tech>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 8 =?utf-8?Q?Flor=C3=A9al?= an 228 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sun, 26 Apr 2020 22:49:27 +0200
In-Reply-To: <qfq8UVmfNtFdXiGZfR8P0LMcbE1nU--Qmyi8V20fK1-BD-7D64nFJEJejMDgOF1HqSdBjbkKLzsrwh0Pfo0bVc27vtYP2e3t2eWEFK1xanI=@elenq.tech>
 (Ekaitz Zarraga's message of "Sat, 25 Apr 2020 19:47:03 +0000")
Message-ID: <87blneynu0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 40492
Cc: "40492 <at> debbugs.gnu.org" <40492 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Saluton!

Ekaitz Zarraga <ekaitz@HIDDEN> skribis:

> From 814e44cb90b1427a9af5d6a66392c5a39910e8fd Mon Sep 17 00:00:00 2001
> From: Ekaitz Zarraga <ekaitz@HIDDEN>
> Date: Tue, 7 Apr 2020 18:56:06 +0200
> Subject: [PATCH] gnu: Add meshlab.
>
>     * gnu/packages/engineering.scm (meshlab): New variable.

Great!  I added a copyright line for you, fixed up indentation (see the
bit in the manual for how to do that automatically), and added a
comment=E2=80=94patch attached.

It built for me, but then I realized I had missed something: the
external/ sub-directory contains lots of bundled copies of external
tools, and indeed, the =E2=80=98configure=E2=80=99 phase shows:

--8<---------------cut here---------------start------------->8---
-- Could NOT find Lib3ds (missing: LIB3DS_INCLUDE_DIR LIB3DS_LIBRARY)=20
-- Could NOT find GMP (missing: GMP_INCLUDE_DIR GMP_LIBRARY)=20
-- Could NOT find muparser (missing: MUPARSER_INCLUDE_DIR MUPARSER_LIBRARY)=
=20
-- Could NOT find OpenCTM (missing: OPENCTM_INCLUDE_DIR OPENCTM_LIBRARY)=20
-- Could NOT find Qhull (missing: QHULL_qhull_LIBRARY QHULL_qhull_INCLUDE_D=
IR qhull)=20
-- Found OpenMP_C: -fopenmp (found version "4.5")=20
-- Found OpenMP_CXX: -fopenmp (found version "4.5")=20
-- Found OpenMP: TRUE (found version "4.5")=20=20
-- - jhead - using bundled source
-- - glew - using bundled source
-- - Eigen - using bundled source
-- - newuoa - using bundled source
-- - levmar - using bundled source
-- - lib3ds - using bundled source
-- - muparser - using bundled source
-- - OpenCTM - using bundled source
-- - structure-synth - using bundled source
-- - qhull - using bundled source
--8<---------------cut here---------------end--------------->8---

Some of these are already packaged, so it should be a matter of adding
them to =E2=80=98inputs=E2=80=99.  For the remaining ones, it would be extr=
a packaging
work to do.

The goal is to address all of these, but if we can address the majority
of these, perhaps we can commit a first version of the package with a
FIXME stating what remains to be done, if you prefer.

Thanks, and apologies for overlooking it before!

Ludo=E2=80=99.


--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

diff --git a/gnu/packages/engineering.scm b/gnu/packages/engineering.scm
index 2fc2ecdd88..ee90e3b429 100644
--- a/gnu/packages/engineering.scm
+++ b/gnu/packages/engineering.scm
@@ -16,6 +16,7 @@
 ;;; Copyright =C2=A9 2019 John Soo <jsoo1@HIDDEN>
 ;;; Copyright =C2=A9 2020 Brice Waegeneire <brice@HIDDEN>
 ;;; Copyright =C2=A9 2020 Vincent Legoll <vincent.legoll@HIDDEN>
+;;; Copyright =C2=A9 2020 Ekaitz Zarraga <ekaitz@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -2520,43 +2521,43 @@ official SDK.")
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
-                       (url "https://github.com/cnr-isti-vclab/meshlab")
-                       (commit (string-append "Meshlab-" version))
-                       (recursive? #t)))
+                      (url "https://github.com/cnr-isti-vclab/meshlab")
+                      (commit (string-append "Meshlab-" version))
+                      (recursive? #t)))
+                (file-name (git-file-name name version))
                 (sha256
-                  (base32 "1vx9jcsnnxvzi90pcxpp7p72cqg3cm6jiivdmrxkzhr2fiz=
3pfvr"))))
+                 (base32 "1vx9jcsnnxvzi90pcxpp7p72cqg3cm6jiivdmrxkzhr2fiz3=
pfvr"))))
       (build-system cmake-build-system)
       (native-inputs
-        `(("qtbase" ,qtbase)
-          ("qtscript" ,qtscript)
-          ("qtxmlpatterns" ,qtxmlpatterns)
-          ("mesa", mesa)
-          ("glu", glu)))
+       `(("qtbase" ,qtbase)
+         ("qtscript" ,qtscript)
+         ("qtxmlpatterns" ,qtxmlpatterns)
+         ("mesa", mesa)
+         ("glu", glu)))
       (arguments
-        `(#:tests? #f ; Has no tests
-          #:phases
-          (modify-phases
-            %standard-phases
-              (add-after
-                'unpack 'go-to-source-dir
-                (lambda _ (chdir "src") #t))
-              (add-after
-                'install 'move-files
-                (lambda* (#:key outputs #:allow-other-keys)
-                         (let ((lib (string-append (assoc-ref outputs "out=
")
-                                                   "/lib")))
-                           (rename-file
-                             (string-append lib "/meshlab/libmeshlab-commo=
n.so")
-                             (string-append lib "/libmeshlab-common.so"))
-                           #t))))))
+       `(#:tests? #f                              ;has no tests
+         #:phases
+         (modify-phases
+             %standard-phases
+           (add-after 'unpack 'go-to-source-dir
+             (lambda _ (chdir "src") #t))
+           (add-after 'install 'move-files
+             (lambda* (#:key outputs #:allow-other-keys)
+               ;; The RUNPATH on plugins is set to OUT/lib.  Move
+               ;; libmeshlab-common.so there so it can be found.
+               (let ((lib (string-append (assoc-ref outputs "out")
+                                         "/lib")))
+                 (rename-file
+                  (string-append lib "/meshlab/libmeshlab-common.so")
+                  (string-append lib "/libmeshlab-common.so"))
+                 #t))))))
       (synopsis "3D triangular mesh processing and editing software")
-                (home-page "http://www.meshlab.net/")
-                (description "MeshLab is a system for the processing and
-editing of unstructured large 3D triangular meshes.  It is aimed to help t=
he
-processing of the typical not-so-small unstructured models arising in 3D
-scanning, providing a set of tools for editing, cleaning, healing, inspect=
ing,
-rendering and converting this kind of meshes.  These tools include MeshLab
-proper, a versatile program with a graphical user interface, and meshlabse=
rver,
-a program that can perform mesh processing tasks in batch mode, without a
-GUI.")
-                (license license:gpl3+))))
+      (home-page "http://www.meshlab.net/")
+      (description "MeshLab is a system for the processing and editing of
+unstructured large 3D triangular meshes.  It is aimed to help the processi=
ng
+of the typical not-so-small unstructured models arising in 3D scanning,
+providing a set of tools for editing, cleaning, healing, inspecting, rende=
ring
+and converting this kind of meshes.  These tools include MeshLab proper, a
+versatile program with a graphical user interface, and meshlabserver, a
+program that can perform mesh processing tasks in batch mode, without a GU=
I.")
+      (license license:gpl3+))))

--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#40492; Package guix-patches. Full text available.

Message received at 40492 <at> debbugs.gnu.org:


Received: (at 40492) by debbugs.gnu.org; 25 Apr 2020 19:47:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 25 15:47:17 2020
Received: from localhost ([127.0.0.1]:60393 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jSQlh-0005MY-8O
	for submit <at> debbugs.gnu.org; Sat, 25 Apr 2020 15:47:17 -0400
Received: from mail2.protonmail.ch ([185.70.40.22]:11455)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ekaitz@HIDDEN>) id 1jSQlf-0005MI-3N
 for 40492 <at> debbugs.gnu.org; Sat, 25 Apr 2020 15:47:15 -0400
Date: Sat, 25 Apr 2020 19:47:03 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=elenq.tech;
 s=protonmail; t=1587844028;
 bh=P40Oyfkb+sRTmU9nQ+SYD+uPtcl0vl52Ae7O9ZAx6wo=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=hsZ6lQ7Ap2C23DVy8vlx8qC0gVW/1aLX18yIE9XPHIzdQMk1z072Edb//JuXu9w3S
 fh55lazSVKsFXzL6hOowhCoIAQ3PzfE3mEc4Wir/p/kOGLTYGyQUCsulk3uuqtR2U6
 bihVq2gzG/+qMX4CrHj3MSgvRIilX2808fXdckNs=
To: =?UTF-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
From: Ekaitz Zarraga <ekaitz@HIDDEN>
Subject: Re: [bug#40492] [PATCH] gnu: Add meshlab
Message-ID: <qfq8UVmfNtFdXiGZfR8P0LMcbE1nU--Qmyi8V20fK1-BD-7D64nFJEJejMDgOF1HqSdBjbkKLzsrwh0Pfo0bVc27vtYP2e3t2eWEFK1xanI=@elenq.tech>
In-Reply-To: <87wo67ti07.fsf@HIDDEN>
References: <_UXapokzwPRYl41j0bjkPGSDUNXahWNWsEn72py7ch7Rd6DBsxW9B8rw8wTbmzj1O2HfWXz7XLbEdWCYQsFCa5DgMlGn0CKVPr779J2PFuo=@elenq.tech>
 <87a733v3hh.fsf@HIDDEN>
 <kWjRCanSLpg5f0wAl_GZac1iZJSZi5ST69nKRQ3ZpGWeP58f5Wun985oaCV9kch6XbbjBm6atQCjGJm3m_eAndPBmDKsbaLHLgwCojpnndw=@elenq.tech>
 <87wo67ti07.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="b1_25f61d85ea6b3f707b1f5e4d18e80e85"
X-Spam-Status: No, score=-1.2 required=7.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on mail.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40492
Cc: "40492\\@debbugs.gnu.org" <40492 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Ekaitz Zarraga <ekaitz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is a multi-part message in MIME format.

--b1_25f61d85ea6b3f707b1f5e4d18e80e85
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

Saluton!

> Egun on, :-)
>
> [...]
> Not really, I think CMake initially sets the RUNPATH to the build tree,
> as shown above, that=E2=80=99s OK. I think it changes it upon =E2=80=
=9Cmake install=E2=80=9D.
>
> > If I need to change that, what do I have to do?
>
> One way to fix it would be to arrange to pass =E2=80=98-Wl,-rpath,'$ORIGI=
N'=E2=80=99 on
> the link command line of the plugins.
>
> Another solution would be to add a post-install phase to move
> libmeshlab-common.so* to $output/lib, which seems more conventional,
> though perhaps upstream had good reasons not to do that.

Went for the second option because I didn't know how to make the first and
looks like it's working.

Also I think I fixed everything you pointed in the first comment.

I attach the updated patch.

Thanks for your help Ludo,

Ekaitz

--b1_25f61d85ea6b3f707b1f5e4d18e80e85
Content-Type: text/x-patch; name="0001-gnu-Add-meshlab.patch"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0001-gnu-Add-meshlab.patch
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--b1_25f61d85ea6b3f707b1f5e4d18e80e85--





Information forwarded to guix-patches@HIDDEN:
bug#40492; Package guix-patches. Full text available.

Message received at 40492 <at> debbugs.gnu.org:


Received: (at 40492) by debbugs.gnu.org; 22 Apr 2020 19:53:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 15:53:07 2020
Received: from localhost ([127.0.0.1]:53347 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRLQg-0006bF-Jv
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 15:53:06 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52856)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1jRLQe-0006ai-Bv
 for 40492 <at> debbugs.gnu.org; Wed, 22 Apr 2020 15:53:05 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35632)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1jRLQZ-00058h-0V; Wed, 22 Apr 2020 15:52:59 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=52984 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1jRLQY-0002Qv-Hf; Wed, 22 Apr 2020 15:52:58 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Ekaitz Zarraga <ekaitz@HIDDEN>
Subject: Re: [bug#40492] [PATCH] gnu: Add meshlab
References: <_UXapokzwPRYl41j0bjkPGSDUNXahWNWsEn72py7ch7Rd6DBsxW9B8rw8wTbmzj1O2HfWXz7XLbEdWCYQsFCa5DgMlGn0CKVPr779J2PFuo=@elenq.tech>
 <87a733v3hh.fsf@HIDDEN>
 <kWjRCanSLpg5f0wAl_GZac1iZJSZi5ST69nKRQ3ZpGWeP58f5Wun985oaCV9kch6XbbjBm6atQCjGJm3m_eAndPBmDKsbaLHLgwCojpnndw=@elenq.tech>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 4 =?utf-8?Q?Flor=C3=A9al?= an 228 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Wed, 22 Apr 2020 21:52:56 +0200
In-Reply-To: <kWjRCanSLpg5f0wAl_GZac1iZJSZi5ST69nKRQ3ZpGWeP58f5Wun985oaCV9kch6XbbjBm6atQCjGJm3m_eAndPBmDKsbaLHLgwCojpnndw=@elenq.tech>
 (Ekaitz Zarraga's message of "Wed, 22 Apr 2020 18:40:31 +0000")
Message-ID: <87wo67ti07.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40492
Cc: "40492 <at> debbugs.gnu.org" <40492 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Egun on,  :-)

Ekaitz Zarraga <ekaitz@HIDDEN> skribis:

> Thanks for the detailed answer. I'll check the formatting errors.
> About the RUNPATH checks, I isolated one of the errors and I don't know w=
hat to change.
>
> This is the error of the file libsamplefilter.so during the runpath check:
>
> /gnu/store/lcpp0gpispfqw8zna2mjrr6cwj3ih133-meshlab-Meshlab-2020.04/lib/m=
eshlab/plugins/libsamplefilter.so: error: depends on 'libmeshlab-common.so'=
, which cannot be found in RUNPATH ("/gnu/store/lcpp0gpispfqw8zna2mjrr6cwj3=
ih133-meshlab-Meshlab-2020.04/lib" "/gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nh=
y4pj-glibc-2.29/lib" "/gnu/store/2plcy91lypnbbysb18ymnhaw3zwk8pg1-gcc-7.4.0=
-lib/lib" "/gnu/store/n6ji2fxg1cn6abd2bn2jd14pglyblysr-qtbase-5.12.7/lib" "=
/gnu/store/qbq794vbw5scpxvnzlnyvdkqfr9163rk-qtscript-5.12.7/lib" "/gnu/stor=
e/2k1bsh663bilxndca4gx4zrdp7m63fjb-qtxmlpatterns-5.12.7/lib" "/gnu/store/2m=
f0clz9w64diy0kz11qcs4q5wg9hc6z-mesa-19.3.4/lib" "/gnu/store/2plcy91lypnbbys=
b18ymnhaw3zwk8pg1-gcc-7.4.0-lib/lib/gcc/x86_64-unknown-linux-gnu/7.4.0/../.=
./..")
> /gnu/store/lcpp0gpispfqw8zna2mjrr6cwj3ih133-meshlab-Meshlab-2020.04/lib/m=
eshlab/plugins/libsamplefilterdyn.so: error: depends on 'libmeshlab-common.=
so', which cannot be found in RUNPATH ("/gnu/store/lcpp0gpispfqw8zna2mjrr6c=
wj3ih133-meshlab-Meshlab-2020.04/lib" "/gnu/store/ahqgl4h89xqj695lgqvsaf6zh=
2nhy4pj-glibc-2.29/lib" "/gnu/store/2plcy91lypnbbysb18ymnhaw3zwk8pg1-gcc-7.=
4.0-lib/lib" "/gnu/store/n6ji2fxg1cn6abd2bn2jd14pglyblysr-qtbase-5.12.7/lib=
" "/gnu/store/qbq794vbw5scpxvnzlnyvdkqfr9163rk-qtscript-5.12.7/lib" "/gnu/s=
tore/2k1bsh663bilxndca4gx4zrdp7m63fjb-qtxmlpatterns-5.12.7/lib" "/gnu/store=
/2mf0clz9w64diy0kz11qcs4q5wg9hc6z-mesa-19.3.4/lib" "/gnu/store/2plcy91lypnb=
bysb18ymnhaw3zwk8pg1-gcc-7.4.0-lib/lib/gcc/x86_64-unknown-linux-gnu/7.4.0/.=
./../..")
> validating RUNPATH of 2 binaries in "/gnu/store/lcpp0gpispfqw8zna2mjrr6cw=
j3ih133-meshlab-Meshlab-2020.04/bin"...
>
> But the first element in the RUNPATH is the place where the library is. T=
his is the library's path:
>
> /gnu/store/lcpp0gpispfqw8zna2mjrr6cwj3ih133-meshlab-Meshlab-2020.04/lib/m=
eshlab/libmeshlab-common.so
>
>
> This is the linking of the libsamplefilter.so file:
>
> [ 98%] Linking CXX shared module ../../distrib/plugins/libsamplefilter.so
> cd /tmp/guix-build-meshlab-Meshlab-2020.04.drv-0/source/build/sampleplugi=
ns/samplefilter && /gnu/store/iz9500ssxcqlyr74hg1jq10ycrh42yq1-cmake-minima=
l-3.15.1/bin/cmake -E cmake_link_script CMakeFiles/samplefilter.dir/link.tx=
t --verbose=3D1
> /gnu/store/x3jx25cd3q363mr7nbgzrhrv1vza6cf7-gcc-7.4.0/bin/c++ -fPIC -O2 -=
g -DNDEBUG  -Wl,--no-undefined -shared  -o ../../distrib/plugins/libsamplef=
ilter.so CMakeFiles/samplefilter.dir/samplefilter_autogen/mocs_compilation.=
cpp.o CMakeFiles/samplefilter.dir/samplefilter.cpp.o -Wl,-rpath,/tmp/guix-b=
uild-meshlab-Meshlab-2020.04.drv-0/source/build/common:::::: ../../common/l=
ibmeshlab-common.so /gnu/store/n6ji2fxg1cn6abd2bn2jd14pglyblysr-qtbase-5.12=
.7/lib/libQt5OpenGL.so.5.12.7 /gnu/store/qbq794vbw5scpxvnzlnyvdkqfr9163rk-q=
tscript-5.12.7/lib/libQt5Script.so.5.12.7 /gnu/store/n6ji2fxg1cn6abd2bn2jd1=
4pglyblysr-qtbase-5.12.7/lib/libQt5Widgets.so.5.12.7 /gnu/store/n6ji2fxg1cn=
6abd2bn2jd14pglyblysr-qtbase-5.12.7/lib/libQt5Gui.so.5.12.7 /gnu/store/n6ji=
2fxg1cn6abd2bn2jd14pglyblysr-qtbase-5.12.7/lib/libQt5Xml.so.5.12.7 /gnu/sto=
re/2k1bsh663bilxndca4gx4zrdp7m63fjb-qtxmlpatterns-5.12.7/lib/libQt5XmlPatte=
rns.so.5.12.7 /gnu/store/n6ji2fxg1cn6abd2bn2jd14pglyblysr-qtbase-5.12.7/lib=
/libQt5Network.so.5.12.7 /gnu/store/n6ji2fxg1cn6abd2bn2jd14pglyblysr-qtbase=
-5.12.7/lib/libQt5Core.so.5.12.7 ../../libexternal-glew.a /gnu/store/2mf0cl=
z9w64diy0kz11qcs4q5wg9hc6z-mesa-19.3.4/lib/libGL.so
>
> The -rpath and -Wl are set to /tmp/guix-build-meshlab-Meshlab-2020.04.drv=
-0/source/build/common
> but it should be set to the directory it showed previously, right?

Not really, I think CMake initially sets the RUNPATH to the build tree,
as shown above, that=E2=80=99s OK.  I think it changes it upon =E2=80=9Cmak=
e install=E2=80=9D.

> If I need to change that, what do I have to do?

One way to fix it would be to arrange to pass =E2=80=98-Wl,-rpath,'$ORIGIN'=
=E2=80=99 on
the link command line of the plugins.

Another solution would be to add a post-install phase to move
libmeshlab-common.so* to $output/lib, which seems more conventional,
though perhaps upstream had good reasons not to do that.

HTH!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#40492; Package guix-patches. Full text available.

Message received at 40492 <at> debbugs.gnu.org:


Received: (at 40492) by debbugs.gnu.org; 22 Apr 2020 18:40:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 14:40:52 2020
Received: from localhost ([127.0.0.1]:53211 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRKIg-0004ea-LZ
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 14:40:52 -0400
Received: from mail1.protonmail.ch ([185.70.40.18]:61537)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ekaitz@HIDDEN>) id 1jRKIe-0004eL-Gu
 for 40492 <at> debbugs.gnu.org; Wed, 22 Apr 2020 14:40:45 -0400
Date: Wed, 22 Apr 2020 18:40:31 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=elenq.tech;
 s=protonmail; t=1587580837;
 bh=Z17RWFMBhWLdKQK102aX/mj0NYhfciesFvhA5PQPMdU=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=CSc4zo66+M7sd1FQRnId33YO3d++HEHLpYHqLIHccF+c8NGakVGABFHfzjECsPAkg
 x8qrYN01BJJGmI7ygRimHvwKbT07DLc8TwJN6ZYc0SiShUJQKsotodIjINWlBkgRib
 Hg7mrbmgGNQpQokF17OHcsjQJoumVIVIJTMWtboM=
To: =?UTF-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
From: Ekaitz Zarraga <ekaitz@HIDDEN>
Subject: Re: [bug#40492] [PATCH] gnu: Add meshlab
Message-ID: <kWjRCanSLpg5f0wAl_GZac1iZJSZi5ST69nKRQ3ZpGWeP58f5Wun985oaCV9kch6XbbjBm6atQCjGJm3m_eAndPBmDKsbaLHLgwCojpnndw=@elenq.tech>
In-Reply-To: <87a733v3hh.fsf@HIDDEN>
References: <_UXapokzwPRYl41j0bjkPGSDUNXahWNWsEn72py7ch7Rd6DBsxW9B8rw8wTbmzj1O2HfWXz7XLbEdWCYQsFCa5DgMlGn0CKVPr779J2PFuo=@elenq.tech>
 <87a733v3hh.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=7.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on mail.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40492
Cc: "40492 <at> debbugs.gnu.org" <40492 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Ekaitz Zarraga <ekaitz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90 Original Me=
ssage =E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90
On Wednesday, April 22, 2020 7:23 PM, Ludovic Court=C3=A8s <ludo@HIDDEN> w=
rote:

> Hi,
>
> Ekaitz Zarraga ekaitz@HIDDEN skribis:
>
> > I wrote a package to add meshlab but I'm not sure if I did it right:
> >
> > -   It doesn't have tests so I removed the testing.
>
> Please add a short comment in the code saying this so that people
> touching the package in the future will know.
>
> > -   It fails to check RUNPATH, but I don't really know why so I disable=
d
> >     it at the moment. It fails while searching for meshlab core librari=
es
> >     but the search path is correct (it misses a /meshlab at the end).
> >
>
> Could you show the error message? It may be that the build system fails
> to pass the right -Wl,-rpath or even the right -L/-l flags at link time.
>
> > > From d9020d7e64020dc7eea1bd46af184856d568ca7d Mon Sep 17 00:00:00 200=
1
> > > From: Ekaitz Zarraga ekaitz@HIDDEN
> > > Date: Tue, 7 Apr 2020 18:56:06 +0200
> > > Subject: [PATCH] gnu: Add meshlab
> >
> > gnu/packages/engineering.scm | 39 ++++++++++++++++++++++++++++++++++++
> > 1 file changed, 39 insertions(+)
>
> Bonus points if you can provide a commit log that follows our
> conventions. :-) See
> https://guix.gnu.org/manual/en/html_node/Submitting-Patches.html and
> =E2=80=98git log=E2=80=99 for examples.
>
> > +(define-public meshlab
> >
> > -   (let ((commit-ref "Meshlab-2020.04"))
> > -   (package
> > -        (name "meshlab")
> >
> >
> > -        (version commit-ref)
> >
> >
>
> The version field should be =E2=80=9C2020.04=E2=80=9D. You can construct =
the commit
> from that:
>
> (string-append "Meshlab-" version)
>
> > -        (synopsis
> >
> >
> > -          "The open source system for processing and editing 3D triang=
ular meshes.")
> >
> >
> > -        (home-page "http://www.meshlab.net/")
> >
> >
> > -        (description "MeshLab is an open source, portable, and extensi=
ble system
> >
> >
>
> Two comments:
>
> 1.  Everything in Guix is free software, you can remove the =E2=80=9Copen
>     source=E2=80=9D mention.
>
> 2.  Please make sure to run =E2=80=98guix lint=E2=80=99 and check the gui=
delines at
>     https://guix.gnu.org/manual/en/html_node/Synopses-and-Descriptions.ht=
ml.
>
>
> Could you send an updated patch?
>
> Thanks in advance!
>
> Ludo=E2=80=99.

Hi Ludo,

Thanks for the detailed answer. I'll check the formatting errors.
About the RUNPATH checks, I isolated one of the errors and I don't know wha=
t to change.

This is the error of the file libsamplefilter.so during the runpath check:

/gnu/store/lcpp0gpispfqw8zna2mjrr6cwj3ih133-meshlab-Meshlab-2020.04/lib/mes=
hlab/plugins/libsamplefilter.so: error: depends on 'libmeshlab-common.so', =
which cannot be found in RUNPATH ("/gnu/store/lcpp0gpispfqw8zna2mjrr6cwj3ih=
133-meshlab-Meshlab-2020.04/lib" "/gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4=
pj-glibc-2.29/lib" "/gnu/store/2plcy91lypnbbysb18ymnhaw3zwk8pg1-gcc-7.4.0-l=
ib/lib" "/gnu/store/n6ji2fxg1cn6abd2bn2jd14pglyblysr-qtbase-5.12.7/lib" "/g=
nu/store/qbq794vbw5scpxvnzlnyvdkqfr9163rk-qtscript-5.12.7/lib" "/gnu/store/=
2k1bsh663bilxndca4gx4zrdp7m63fjb-qtxmlpatterns-5.12.7/lib" "/gnu/store/2mf0=
clz9w64diy0kz11qcs4q5wg9hc6z-mesa-19.3.4/lib" "/gnu/store/2plcy91lypnbbysb1=
8ymnhaw3zwk8pg1-gcc-7.4.0-lib/lib/gcc/x86_64-unknown-linux-gnu/7.4.0/../../=
..")
/gnu/store/lcpp0gpispfqw8zna2mjrr6cwj3ih133-meshlab-Meshlab-2020.04/lib/mes=
hlab/plugins/libsamplefilterdyn.so: error: depends on 'libmeshlab-common.so=
', which cannot be found in RUNPATH ("/gnu/store/lcpp0gpispfqw8zna2mjrr6cwj=
3ih133-meshlab-Meshlab-2020.04/lib" "/gnu/store/ahqgl4h89xqj695lgqvsaf6zh2n=
hy4pj-glibc-2.29/lib" "/gnu/store/2plcy91lypnbbysb18ymnhaw3zwk8pg1-gcc-7.4.=
0-lib/lib" "/gnu/store/n6ji2fxg1cn6abd2bn2jd14pglyblysr-qtbase-5.12.7/lib" =
"/gnu/store/qbq794vbw5scpxvnzlnyvdkqfr9163rk-qtscript-5.12.7/lib" "/gnu/sto=
re/2k1bsh663bilxndca4gx4zrdp7m63fjb-qtxmlpatterns-5.12.7/lib" "/gnu/store/2=
mf0clz9w64diy0kz11qcs4q5wg9hc6z-mesa-19.3.4/lib" "/gnu/store/2plcy91lypnbby=
sb18ymnhaw3zwk8pg1-gcc-7.4.0-lib/lib/gcc/x86_64-unknown-linux-gnu/7.4.0/../=
../..")
validating RUNPATH of 2 binaries in "/gnu/store/lcpp0gpispfqw8zna2mjrr6cwj3=
ih133-meshlab-Meshlab-2020.04/bin"...

But the first element in the RUNPATH is the place where the library is. Thi=
s is the library's path:

/gnu/store/lcpp0gpispfqw8zna2mjrr6cwj3ih133-meshlab-Meshlab-2020.04/lib/mes=
hlab/libmeshlab-common.so


This is the linking of the libsamplefilter.so file:

[ 98%] Linking CXX shared module ../../distrib/plugins/libsamplefilter.so
cd /tmp/guix-build-meshlab-Meshlab-2020.04.drv-0/source/build/sampleplugins=
/samplefilter && /gnu/store/iz9500ssxcqlyr74hg1jq10ycrh42yq1-cmake-minimal-=
3.15.1/bin/cmake -E cmake_link_script CMakeFiles/samplefilter.dir/link.txt =
--verbose=3D1
/gnu/store/x3jx25cd3q363mr7nbgzrhrv1vza6cf7-gcc-7.4.0/bin/c++ -fPIC -O2 -g =
-DNDEBUG  -Wl,--no-undefined -shared  -o ../../distrib/plugins/libsamplefil=
ter.so CMakeFiles/samplefilter.dir/samplefilter_autogen/mocs_compilation.cp=
p.o CMakeFiles/samplefilter.dir/samplefilter.cpp.o -Wl,-rpath,/tmp/guix-bui=
ld-meshlab-Meshlab-2020.04.drv-0/source/build/common:::::: ../../common/lib=
meshlab-common.so /gnu/store/n6ji2fxg1cn6abd2bn2jd14pglyblysr-qtbase-5.12.7=
/lib/libQt5OpenGL.so.5.12.7 /gnu/store/qbq794vbw5scpxvnzlnyvdkqfr9163rk-qts=
cript-5.12.7/lib/libQt5Script.so.5.12.7 /gnu/store/n6ji2fxg1cn6abd2bn2jd14p=
glyblysr-qtbase-5.12.7/lib/libQt5Widgets.so.5.12.7 /gnu/store/n6ji2fxg1cn6a=
bd2bn2jd14pglyblysr-qtbase-5.12.7/lib/libQt5Gui.so.5.12.7 /gnu/store/n6ji2f=
xg1cn6abd2bn2jd14pglyblysr-qtbase-5.12.7/lib/libQt5Xml.so.5.12.7 /gnu/store=
/2k1bsh663bilxndca4gx4zrdp7m63fjb-qtxmlpatterns-5.12.7/lib/libQt5XmlPattern=
s.so.5.12.7 /gnu/store/n6ji2fxg1cn6abd2bn2jd14pglyblysr-qtbase-5.12.7/lib/l=
ibQt5Network.so.5.12.7 /gnu/store/n6ji2fxg1cn6abd2bn2jd14pglyblysr-qtbase-5=
.12.7/lib/libQt5Core.so.5.12.7 ../../libexternal-glew.a /gnu/store/2mf0clz9=
w64diy0kz11qcs4q5wg9hc6z-mesa-19.3.4/lib/libGL.so

The -rpath and -Wl are set to /tmp/guix-build-meshlab-Meshlab-2020.04.drv-0=
/source/build/common
but it should be set to the directory it showed previously, right?

If I need to change that, what do I have to do?

Sorry for the inconvenience, but I'm a little bit lost on this.

Thank you,

Ekaitz




Information forwarded to guix-patches@HIDDEN:
bug#40492; Package guix-patches. Full text available.

Message received at 40492 <at> debbugs.gnu.org:


Received: (at 40492) by debbugs.gnu.org; 22 Apr 2020 17:23:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 13:23:59 2020
Received: from localhost ([127.0.0.1]:53115 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRJ6D-0000d5-4x
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 13:23:59 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59334)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1jRJ6B-0000cs-55
 for 40492 <at> debbugs.gnu.org; Wed, 22 Apr 2020 13:23:47 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33839)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1jRJ65-0003wa-NL; Wed, 22 Apr 2020 13:23:41 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=52886 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1jRJ65-0005fP-4x; Wed, 22 Apr 2020 13:23:41 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Ekaitz Zarraga <ekaitz@HIDDEN>
Subject: Re: [bug#40492] [PATCH] gnu: Add meshlab
References: <_UXapokzwPRYl41j0bjkPGSDUNXahWNWsEn72py7ch7Rd6DBsxW9B8rw8wTbmzj1O2HfWXz7XLbEdWCYQsFCa5DgMlGn0CKVPr779J2PFuo=@elenq.tech>
Date: Wed, 22 Apr 2020 19:23:38 +0200
In-Reply-To: <_UXapokzwPRYl41j0bjkPGSDUNXahWNWsEn72py7ch7Rd6DBsxW9B8rw8wTbmzj1O2HfWXz7XLbEdWCYQsFCa5DgMlGn0CKVPr779J2PFuo=@elenq.tech>
 (Ekaitz Zarraga's message of "Tue, 07 Apr 2020 17:08:06 +0000")
Message-ID: <87a733v3hh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40492
Cc: 40492 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

Ekaitz Zarraga <ekaitz@HIDDEN> skribis:

> I wrote a package to add meshlab but I'm not sure if I did it right:
> - It doesn't have tests so I removed the testing.

Please add a short comment in the code saying this so that people
touching the package in the future will know.

> - It fails to check RUNPATH, but I don't really know why so I disabled
>   it at the moment. It fails while searching for meshlab core libraries
>   but the search path is correct (it misses a /meshlab at the end).

Could you show the error message?  It may be that the build system fails
to pass the right -Wl,-rpath or even the right -L/-l flags at link time.

>>From d9020d7e64020dc7eea1bd46af184856d568ca7d Mon Sep 17 00:00:00 2001
> From: Ekaitz Zarraga <ekaitz@HIDDEN>
> Date: Tue, 7 Apr 2020 18:56:06 +0200
> Subject: [PATCH] gnu: Add meshlab
>
> ---
>  gnu/packages/engineering.scm | 39 ++++++++++++++++++++++++++++++++++++
>  1 file changed, 39 insertions(+)

Bonus points if you can provide a commit log that follows our
conventions.  :-)  See
<https://guix.gnu.org/manual/en/html_node/Submitting-Patches.html> and
=E2=80=98git log=E2=80=99 for examples.

> +(define-public meshlab
> +  (let ((commit-ref "Meshlab-2020.04"))
> +    (package
> +      (name "meshlab")
> +      (version commit-ref)

The version field should be =E2=80=9C2020.04=E2=80=9D.  You can construct t=
he commit
from that:

  (string-append "Meshlab-" version)

> +      (synopsis
> +        "The open source system for processing and editing 3D triangular=
 meshes.")
> +      (home-page "http://www.meshlab.net/")
> +      (description "MeshLab is an open source, portable, and extensible =
system

Two comments:

  1. Everything in Guix is free software, you can remove the =E2=80=9Copen
     source=E2=80=9D mention.

  2. Please make sure to run =E2=80=98guix lint=E2=80=99 and check the guid=
elines at
     <https://guix.gnu.org/manual/en/html_node/Synopses-and-Descriptions.ht=
ml>.

Could you send an updated patch?

Thanks in advance!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#40492; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Apr 2020 17:08:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 07 13:08:39 2020
Received: from localhost ([127.0.0.1]:50792 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jLri9-0004D1-MX
	for submit <at> debbugs.gnu.org; Tue, 07 Apr 2020 13:08:38 -0400
Received: from lists.gnu.org ([209.51.188.17]:53634)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ekaitz@HIDDEN>) id 1jLrhu-00049A-N2
 for submit <at> debbugs.gnu.org; Tue, 07 Apr 2020 13:08:23 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:57479)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ekaitz@HIDDEN>) id 1jLrht-00053Q-3l
 for guix-patches@HIDDEN; Tue, 07 Apr 2020 13:08:14 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_LOW,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ekaitz@HIDDEN>) id 1jLrhr-0006iU-Cm
 for guix-patches@HIDDEN; Tue, 07 Apr 2020 13:08:12 -0400
Received: from mail2.protonmail.ch ([185.70.40.22]:19085)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <ekaitz@HIDDEN>) id 1jLrhq-0006h2-Ss
 for guix-patches@HIDDEN; Tue, 07 Apr 2020 13:08:11 -0400
Date: Tue, 07 Apr 2020 17:08:06 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=elenq.tech;
 s=protonmail; t=1586279288;
 bh=785Ie/irScJjTIu+r0zzR30lOuKyszDpVxSABU1NAoo=;
 h=Date:To:From:Reply-To:Subject:From;
 b=ZKMvnwqLvQhLQO+7H3L9z9F7bVl1t8ZXfgF85NzeSJJ/CJ8eBSGR6wEBcyfa+Rz7t
 7x+LAv0Sx3QSxcaZjDvl6+aA7BOcy1jO4kOJU+o0jbFlPPu93f1Te7sHbqAEx+pll/
 7V5JSfrC1n0xGJn4t+LljoU5kXj1HzYAQkb/mn5g=
To: "guix-patches@HIDDEN" <guix-patches@HIDDEN>
From: Ekaitz Zarraga <ekaitz@HIDDEN>
Subject: [PATCH] gnu: Add meshlab
Message-ID: <_UXapokzwPRYl41j0bjkPGSDUNXahWNWsEn72py7ch7Rd6DBsxW9B8rw8wTbmzj1O2HfWXz7XLbEdWCYQsFCa5DgMlGn0CKVPr779J2PFuo=@elenq.tech>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 185.70.40.22
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Ekaitz Zarraga <ekaitz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Hi everyone,

I wrote a package to add meshlab but I'm not sure if I did it right:
- It doesn't have tests so I removed the testing.
- It fails to check RUNPATH, but I don't really know why so I disabled
  it at the moment. It fails while searching for meshlab core libraries
  but the search path is correct (it misses a /meshlab at the end).

Can you please check it and suggest a solution?

It works as it is but the runpath checks should pass...

Thanks!
Ekaitz

---


From d9020d7e64020dc7eea1bd46af184856d568ca7d Mon Sep 17 00:00:00 2001
From: Ekaitz Zarraga <ekaitz@HIDDEN>
Date: Tue, 7 Apr 2020 18:56:06 +0200
Subject: [PATCH] gnu: Add meshlab

---
 gnu/packages/engineering.scm | 39 ++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/gnu/packages/engineering.scm b/gnu/packages/engineering.scm
index 5405db762c..85efc01c4c 100644
--- a/gnu/packages/engineering.scm
+++ b/gnu/packages/engineering.scm
@@ -2491,3 +2491,42 @@ without any changes.  And programmers that are famil=
iar with the magellan API
 can continue using it with a free library without the restrictions of the
 official SDK.")
     (license license:bsd-3)))
+
+(define-public meshlab
+  (let ((commit-ref "Meshlab-2020.04"))
+    (package
+      (name "meshlab")
+      (version commit-ref)
+      (source (origin
+                (method git-fetch)
+                (uri (git-reference
+                       (url "https://github.com/cnr-isti-vclab/meshlab")
+                       (commit commit-ref)
+                       (recursive? #t)))
+                (sha256
+                  (base32 "1vx9jcsnnxvzi90pcxpp7p72cqg3cm6jiivdmrxkzhr2fiz=
3pfvr"))))
+      (build-system cmake-build-system)
+      (native-inputs
+        `(("qtbase" ,qtbase)
+          ("qtscript" ,qtscript)
+          ("qtxmlpatterns" ,qtxmlpatterns)
+          ("mesa", mesa)
+          ("glu", glu)))
+      (arguments
+        `(#:tests? #f
+          #:validate-runpath? #f
+          #:phases (modify-phases %standard-phases
+                                  (add-after 'unpack 'go-to-source-dir
+                                             (lambda _ (chdir "src") #t)))=
))
+      (synopsis
+        "The open source system for processing and editing 3D triangular m=
eshes.")
+      (home-page "http://www.meshlab.net/")
+      (description "MeshLab is an open source, portable, and extensible sy=
stem
+for the processing and editing of unstructured large 3D triangular meshes.=
  It
+is aimed to help the processing of the typical not-so-small unstructured m=
odels
+arising in 3D scanning, providing a set of tools for editing, cleaning,
+healing, inspecting, rendering and converting this kind of meshes.  These =
tools
+include MeshLab proper, a versatile program with a graphical user interfac=
e,
+and meshlabserver, a program that can perform mesh
+processing tasks in batch mode, without a GUI.")
+      (license license:gpl3+))))
--
2.25.1






Acknowledgement sent to Ekaitz Zarraga <ekaitz@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#40492; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 14 May 2020 08:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.